List plans
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.factify.com/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.factify.com/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.factify.com/v1/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.factify.com/v1/plans")
.header("Authorization", "Bearer <token>")
.asString();curl --request GET \
--url https://api.factify.com/v1/plans \
--header 'Authorization: Bearer <token>'{
"plans": [
{
"id": "<string>",
"name": "<string>",
"workflow_id": "<string>",
"claim_slots": [
{
"rubric_id": "<string>",
"slot_name": "<string>",
"claim_id": "<string>",
"substitution_value": "<string>"
}
],
"submissions": [
{
"id": "<string>",
"plan_id": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"added_at": "2023-11-07T05:31:56Z",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": {}
}
],
"created_at": "2023-11-07T05:31:56Z",
"open_conflicts_count": 1,
"total_conflicts_count": 1,
"locked_at": "2023-11-07T05:31:56Z",
"body_md_resolved": "<string>"
}
],
"page": 2,
"page_size": 2,
"total": 1
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid authentication credentials."
}{
"type": "about:blank",
"title": "Unprocessable Entity",
"status": 422,
"detail": "Request body failed validation.",
"errors": [
{
"location": "body.email",
"message": "expected string to match format 'email'",
"value": "not-an-email"
}
]
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "Rate limit exceeded. Retry after the period indicated by the Retry-After header."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred. Retry, and contact support if the issue persists."
}Plans
List plans
GET
/
v1
/
plans
List plans
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.factify.com/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.factify.com/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.factify.com/v1/plans"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.factify.com/v1/plans")
.header("Authorization", "Bearer <token>")
.asString();curl --request GET \
--url https://api.factify.com/v1/plans \
--header 'Authorization: Bearer <token>'{
"plans": [
{
"id": "<string>",
"name": "<string>",
"workflow_id": "<string>",
"claim_slots": [
{
"rubric_id": "<string>",
"slot_name": "<string>",
"claim_id": "<string>",
"substitution_value": "<string>"
}
],
"submissions": [
{
"id": "<string>",
"plan_id": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"added_at": "2023-11-07T05:31:56Z",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": {}
}
],
"created_at": "2023-11-07T05:31:56Z",
"open_conflicts_count": 1,
"total_conflicts_count": 1,
"locked_at": "2023-11-07T05:31:56Z",
"body_md_resolved": "<string>"
}
],
"page": 2,
"page_size": 2,
"total": 1
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid authentication credentials."
}{
"type": "about:blank",
"title": "Unprocessable Entity",
"status": 422,
"detail": "Request body failed validation.",
"errors": [
{
"location": "body.email",
"message": "expected string to match format 'email'",
"value": "not-an-email"
}
]
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "Rate limit exceeded. Retry after the period indicated by the Retry-After header."
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred. Retry, and contact support if the issue persists."
}Authorizations
Bearer authentication using a factapi-issued API key
(ffy_<env>_<base32_uuid><base62_random>). Cookie-based
sessions are accepted automatically by user-facing endpoints
but are not surfaced as an OpenAPI auth scheme.
Query Parameters
1-indexed page number.
Required range:
x >= 1Number of plans per page.
Required range:
1 <= x <= 100⌘I